> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/thesports-docs/basic-info/player.md).

# Player

## Player

> Return full player data,and obtain new or changed data according to the time\<br/>\<br/>1,Full update for the first time,full data is obtained according to the parameter page (Page increases by 1, loop to get the interface, total is 0, and the loop ends)\<br/>2,Subsequent incremental update,obtain change data according to the parameter time increment (recommended request frequency:1min/time)

```json
{"openapi":"3.0.1","info":{"title":"Football API","version":"1.0.251028"},"tags":[{"name":"BASIC INFO","description":"BASIC INFO"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/football/player/with_stat/list":{"get":{"tags":["BASIC INFO"],"description":"Return full player data,and obtain new or changed data according to the time<br/><br/>1,Full update for the first time,full data is obtained according to the parameter page (Page increases by 1, loop to get the interface, total is 0, and the loop ends)<br/>2,Subsequent incremental update,obtain change data according to the parameter time increment (recommended request frequency:1min/time)","summary":"Player","operationId":"getPlayerListStat","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"$ref":"#/components/parameters/Page"},{"$ref":"#/components/parameters/Time"},{"$ref":"#/components/parameters/Uuid"}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"query":{"$ref":"#/common/schemas/Query"},"results":{"type":"array","description":"Player list","items":{"$ref":"#/components/schemas/PlayerWith"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username,please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key,please contact business","required":true,"schema":{"type":"string"}},"Page":{"name":"page","in":"query","description":"page query,return the data of the query page number (starting from 1), the default is 1000","schema":{"type":"integer","format":"int32"}},"Time":{"name":"time","in":"query","description":"time query,return records (timestamp) greater than or equal to the update time,sorted according to the update time","schema":{"type":"integer","format":"int32"}},"Uuid":{"name":"uuid","in":"query","description":"uuid query,return the queried uuid data","schema":{"type":"string"}}},"schemas":{"PlayerWith":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Player id"},"team_id":{"type":"string","description":"Team id,when 1. player retires,2. free agent,3. team unknown,team_id is 0"},"name":{"type":"string","description":"Player name"},"short_name":{"type":"string","description":"Player abbreviation"},"logo":{"type":"string","description":"Player logo"},"national_logo":{"type":"string","description":"Player logo(National team lineup logo, used when judging that the team is a national team)"},"age":{"type":"integer","description":"age"},"birthday":{"type":"integer","description":"birthday"},"weight":{"type":"integer","description":"weight"},"height":{"type":"integer","description":"height"},"country_id":{"type":"string","description":"Country/Region id"},"nationality":{"type":"string","description":"nationality"},"coach_id":{"type":"string","description":"Coach id (The corresponding coach id if the player is a coach)"},"market_value":{"type":"integer","description":"Market value"},"market_value_currency":{"type":"string","description":"Market value unit"},"contract_until":{"type":"integer","description":"Contract deadline"},"preferred_foot":{"type":"integer","description":"Preferred foot,0-unknown,1-left foot,2-right foot,3-left and right foot"},"ability":{"type":"array","description":"Ability score","items":{"$ref":"#/deps/schemas/Ability"}},"characteristics":{"$ref":"#/deps/schemas/Character"},"position":{"type":"string","description":"Good position,F-forward,M-midfielder,D-guard,G-goalkeeper,others are unknown"},"positions":{"$ref":"#/deps/schemas/Positions"},"uid":{"type":"string","description":"Player id (the corresponding id after the duplicate players are merged), if it exists, it will be returned"},"deathday":{"type":"integer","description":"Time of death(if it exists, it will be returned)"},"retire_time":{"type":"integer","description":"Retirement time(if it exists, it will be returned)"},"updated_at":{"type":"integer","description":"Update time"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"common":{"schemas":{"Query":{"type":"object","description":"Inquiry","properties":{"total":{"type":"integer","description":"Return the total amount of data"},"type":{"type":"string","description":"Query type,uuid query:uuid,page query:page,time query:time,default page"},"uuid":{"type":"string","description":"uuid query value (uuid query,field exists)"},"page":{"type":"integer","description":"page query value (page query,field exists)"},"time":{"type":"integer","description":"time query value,timestamp format (time query,field exists)"},"min_time":{"type":"integer","description":"Return the smallest time in the data(updated_at value) (time query,field exists)"},"max_time":{"type":"integer","description":"Return the largest time in the data(updated_at value) (time query,field exists)"}}},"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}},"deps":{"schemas":{"Ability":{"type":"array","description":"Ability score field description:<br/>1-Save<br/>2-Pre-judgment<br/>3-Handling the ball<br/>4-Air<br/>5-tactics<br/>6-attack< br/>7-Defense<br/>8-Creativity<br/>9-Technology<br/><br/>example:[6, 99, 67]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Type id | Integer |\n| `1` | Rating ,full mark 100 | Integer |\n| `2` | Average score,full mark 100 | Integer |\n","items":""},"Character":{"type":"array","description":"Technical Features Field Description:<br/>1-Unloading<br/>2-Penalty Kick<br/>3-Direct Free Kick<br/>4-Long Shot<br/>5-Single Shot<br />6-pass<br/>7-organize the attack<br/>8-dribble<br/>9-interrupt the ball<br/>10-tackle<br/>11-stability<br/> 12-excellent<br/>13-long pass<br/>14-ball control<br/>15-air confrontation<br/>16-ground confrontation<br/>17-error tendency<br/>18- Discipline<br/>19-Punch penalty<br/>20-Reaction<br/>21-Abandon goal to participate in attack<br/>22-High ball interception<br/>23-Handle the ball<br/>24- Long Shots<br/>25-Stance<br/>26-High Pressing<br/>27-Long Shots Save<br/>28-Crossing<br/>29-Offside awareness<br/>30-Close shot saves<br/>31-Concentration<br/>32-Defensive participation<br/>33-Key passing Ball<br/>34-Header<br/>35-Set ball<br/>36-Straight pass<br/>37-Counter attack<br/>38-One kick<br/>39-up High ball<br/>40-fouling<br/>41-inward cut<br/>42-Punches<br/>43-clearance<br/><br/>example:[[[11, 1]], [[7, 1]]]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Nested array; see details below | Array |\n| `1` | Nested array; see details below | Array |\n\n**Index `0` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0[0]` | Nested array; see details below | Array |\n\n**Index `0[0]` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0[0][0]` | Type id (advantages,none is empty) | Integer |\n| `0[0][1]` | Ranking (worldwide) | Integer |\n\n**Index `1` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `1[0]` | Nested array; see details below | Array |\n\n**Index `1[0]` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `1[0][0]` | Type id (disadvantages,none is empty) | Integer |\n| `1[0][1]` | Ranking (worldwide) | Integer |\n","items":""},"Positions":{"type":"array","description":"Detailed position field description:<br/>LW-left forward<br/>RW-right forward<br/>ST-forward<br/>SS-second striker<br/>AM- Attacking type<br/>ML-left midfield<br/>MC-center midfield<br/>MR-right midfield<br/>DM-Defensive center<br/>DL-left back<br/>DC-center back<br/>DR-right back<br/>GK-goalkeeper<br/><br/>example:[\"RW\", [\"ST\"]]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Main location | String |\n| `1` | Nested array; see details below | Array |\n\n**Index `1` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `1[0]` | Secondary position | String |\n","items":""}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/thesports-docs/basic-info/player.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
